﻿using Orchard.Data.Migration;
using So.ImageResizer.Models;

namespace So.ImageResizer {
    public class MediaDataMigration : DataMigrationImpl {
        public int Create() {
            SchemaBuilder.CreateTable(typeof (ImageResizerSettingsPartRecord).Name,
                                      table => table
                                                   .ContentPartRecord()
                                                   .Column<bool>("ResizerHttpModuleEnabled", c => c.WithDefault(false))
                );
            return 1;
        }
    }
}